Skip to main content
Resource Center/Hardware/Host Operations

UpdateHostIpmi

UpdateHostIpmi

PUT/zstack/v1/hosts/ipmi/{uuid}/actions

Operation ID

UpdateHostIpmi

Since

4.7.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource UUID.

Body Fields

  • ipmiAddress
    String

    Optional. The IPMI address.

  • ipmiUsername
    String

    Optional. The IPMI user name.

  • ipmiPassword
    String

    Optional. The IPMI password.

  • ipmiPort
    int

    Optional. The IPMI port.

  • systemTags
    List

    Optional. The system tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • hostIpmiInventory
    HostIpmiInventoryRequired

    See

    • uuid
      StringRequired

      The resource UUID.

    • ipmiAddress
      StringRequired

      The IPMI address.

    • ipmiUsername
      StringRequired

      The IPMI user name.

    • ipmiPort
      intRequired

      The IPMI port.

    • ipmiPowerStatus
      StringRequired

      The IPMI power status.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • Change Time

    AddedResponse fields cause, code, description...
    View API